[@rxap/data-grid](../wiki/globals) / DataGridEditCellDefDirectiveContext

# Interface: DataGridEditCellDefDirectiveContext\<T\>

Defined in: [data-grid-edit-cell-def.directive.ts:7](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-edit-cell-def.directive.ts#L7)

## Type Parameters

• **T** *extends* `Record`\<`string`, `any`\> = `Record`\<`string`, `any`\>

## Properties

### $implicit

> **$implicit**: `T`\[keyof `T`\]

Defined in: [data-grid-edit-cell-def.directive.ts:8](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-edit-cell-def.directive.ts#L8)

***

### data

> **data**: `T`

Defined in: [data-grid-edit-cell-def.directive.ts:9](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-edit-cell-def.directive.ts#L9)
